Page 2 of 2 FirstFirst 12
Results 11 to 16 of 16

Thread: Wifi and blutooth problem after upgrading ubuntu 13.10 on my asus

  1. #11
    Join Date
    Mar 2010
    Location
    India
    Beans
    8,175
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Wifi and blutooth problem after upgrading ubuntu 13.10 on my asus

    Maybe physically not too far, but the rules and regulations settings may be significantly far

    Italy's regdomain regulations specify the same frequency @ 40 KHz (maybe 20 KHz included, I'm not sure, but the router maybe exclusively using 40 KHz transmission, only you can confirm that by looking at its user manual/settings). If the router is using 40 KHz exclusively, the "AL" regulations won't allow your card to connect to it.

    Did you make sure to choose "Italy" as your country while installing? I'm not sure how to change the country code 'AFTER' installing, although I think we can easily force a different country settings just for WiFi. But it would be best if we don't need that.

    But let's do some cleanup first, to remove some unnecessary entries (including a seriously wrong one) you might have accumulated while trying random things. Please do -
    Code:
    sudo sed -i '/b43/ d' /etc/modules
    sudo sed -i 's/.*wlan0.*/exit 0/' /etc/rc.local
    Copy paste above commands to avoid mistakes, as these can be serious changes. What these do is, the first one removes the last two "b43" lines from your /etc/modules file. The second one removes the "iwconfig ..." line and replaces it with "exit 0" alone.

    Reboot after making these changes and see if you can connect. If not, the first and recommended thing is to check your router settings to make sure it supports the 20 KHz bandwidth.

    Alternatively, you can try to 'Force' Italy's regdomain settings (assuming your router/access-point correctly supports that) as follows (temporarily as of now) -
    Code:
    sudo modprobe -rv ath9k cfg80211
    sudo modprobe -v cfg80211 ieee80211_regdom=IT
    sudo modprobe -v ath9k
    Post back if any of the above commands return any errors. If not, can you connect now?
    Varun
    Help others by marking threads as [SOLVED], if they are. (See how)
    Wireless Script | Use Code Tags
    Am I not replying you? Perhaps this is why.

  2. #12
    Join Date
    May 2010
    Beans
    146

    Re: Wifi and blutooth problem after upgrading ubuntu 13.10 on my asus

    Deleted. (Needed code tags.)
    Last edited by DiagonalArg; January 22nd, 2014 at 10:16 PM.

  3. #13
    Join Date
    May 2010
    Beans
    146

    Re: Wifi and blutooth problem after upgrading ubuntu 13.10 on my asus

    Oops. Needed code tags. Will delete the previous misfire.

    (Modified to remove more revealing information.)

    Code:
    #!/bin/bash#
    # Copyright (c) 2012
    #
    # Authors: Wild Man, Krytarik
    # Helpers: anewguy, chili555, llua
    #
    # Helper: diagon, 2014.01.22
    # Still too much revealing infos.  sed'd out all but first 2 letters of ESSID
    # & all but first digit of the frequency.
    #
    # This script gathers the infos necessary for troubleshooting a wireless
    # connection and saves them in a text file, wrapping it in an archive if it
    # exceeds the size limit of 19.5 kB for .txt files on the Ubuntu Forums.
    #
    ################################################## ##########################
    #
    # This program is free software: you can redistribute it and/or modify
    # it under the terms of the GNU General Public License as published by
    # the Free Software Foundation, either version 3 of the License, or
    # (at your option) any later version.
    #
    # This program is distributed in the hope that it will be useful,
    # but WITHOUT ANY WARRANTY; without even the implied warranty of
    # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    # GNU General Public License for more details.
    #
    # You should have received a copy of the GNU General Public License
    # along with this program. If not, see <http://www.gnu.org/licenses/>.
    
    
    FILEBASE="wireless-info"
    MODMATCHES="(air|ath|carl|at7|iwl|ipw|rtl8|rt2|rt3|8192cu|8192 du|rt5|rt6|rt7|rtl|r818|r871|ssb|wl|b43|bcma|brcm| eth1|ndis|wlan0|firm|etork)[^[:punct:] ]*"
    exec 3>&1 4>&2
    exec 1> $FILEBASE.txt 2> /dev/null
    if [ "$?" != "0" ]; then
    printf "\nCould not write target file \"$FILEBASE.txt\", aborting.\n\n"
    exit 1
    fi
    printf "\n*************** info trace ***************\n"
    printf "\n***** uname -a *****\n\n"
    uname -a
    printf "\n***** lsb_release *****\n\n"
    lsb_release -idrc
    printf "\n***** lspci *****\n\n"
    lspci -nnk | grep -iA2 net
    printf "\n***** lsusb *****\n\n"
    lsusb
    printf "\n***** PCMCIA Card Info *****\n\n"
    pccardctl info
    printf "\n***** iwconfig *****\n\n"
    iwconfig
    printf "\n***** rfkill *****\n\n"
    rfkill list all
    printf "\n***** lsmod *****\n\n"
    lsmod | egrep "(^|[[:punct:] ])${MODMATCHES}([[:punct:] ]|$)"
    printf "\n***** nm-tool *****\n"
    nm-tool
    printf "\n***** NetworkManager.state *****\n"
    cat /var/lib/NetworkManager/NetworkManager.state
    printf "\n***** NetworkManager.conf *****\n\n"
    grep -v '^#' /etc/NetworkManager/NetworkManager.conf
    if [ -f /etc/NetworkManager/nm-system-settings.conf ]; then
    printf "nm-system-settings.conf (used up to 10.04):\n"
    grep -v '^#' /etc/NetworkManager/nm-system-settings.conf
    fi
    printf "\n***** interfaces *****\n\n"
    cat /etc/network/interfaces | sed -r 's/wpa-psk [[:graph:]]+/wpa-psk <WPA key removed>/'
    printf "\n***** iwlist *****\n\n"
    if [ -t 0 ]; then
    sudo iwlist scan || echo "Aquiring of root rights failed."
    elif [ -x /usr/bin/gksudo ]; then
    gksudo iwlist scan || echo "Aquiring of root rights failed."
    elif [ -x /usr/bin/kdesudo ]; then
    kdesudo iwlist scan || echo "Aquiring of root rights failed."
    else
    echo "No way to aquire root rights found."
    fi
    printf "\n***** resolv.conf *****\n\n"
    grep -v '^#' /etc/resolv.conf
    printf "\n***** blacklist *****\n"
    for CONFFILE in /etc/modprobe.d/*.conf; do
    if [[ -n $(egrep -v '/etc/modprobe.d/(alsa-base|blacklist-(firewire|framebuffer|modem|oss|watchdog)|fglrx|nv idia)' <<< $CONFFILE) ]]; then
    BLACKLIST=$(grep '^blacklist' $CONFFILE)
    if [ -n "$BLACKLIST" ]; then
    printf "\n[%s]\n%s\n" $CONFFILE "$BLACKLIST"
    fi
    fi
    done
    printf "\n***** modinfo *****\n\n"
    MODULNAMES=$(lsmod | egrep "^$MODMATCHES" | awk '{print $1}')
    for MODULE in $MODULNAMES; do
    modinfo $MODULE
    echo
    done
    printf "\n***** udev rules *****\n"
    egrep '^(#.*device|[^#]|$)' /etc/udev/rules.d/70-persistent-net.rules
    printf "\n***** dmesg *****\n\n"
    dmesg | egrep "[[:punct:] ]${MODMATCHES}[[:punct:] ]"
    printf "\n****************** done ******************\n\n"
    exec 1>&3 3>&-
    exec 2>&4 4>&-
    sed -i 's/\(ESSID:"..\).*"/\1\.\.\."/' $FILEBASE.txt
    sed -i 's/\(ESSID:".\)"/\1x\.\.\."/' $FILEBASE.txt
    sed -i 's/\(Frequency:[2-5]\.\)[0-9]\{3\}/\1xxx/' $FILEBASE.txt
    sed -i 's/\([0-9A-F]\{2\}:\)\{5\}[0-9A-F]\{2\}/<MAC address removed>/' $FILEBASE.txt
    sed -i 's/^\(    \*..\).*: *\([a-zA-Z]*, *<MAC address removed>, *Freq [2-5]\)[0-9]\{3\}/\1\.\.\.        :  \2xxx/' $FILEBASE.txt
    sed -i 's/^\(    [^*].\).*: *\([a-zA-Z]*, *<MAC address removed>, *Freq [2-5]\)[0-9]\{3\}/\1\.\.\.         :  \2xxx/' $FILEBASE.txt
    sed -i 's/^\(    .\).*: *\([a-zA-Z]*, *<MAC address removed>, *Freq [2-5]\)[0-9]\{3\}/\1x\.\.\.        :  \2xxx/' $FILEBASE.txt
    
    if [ $(stat -c %s $FILEBASE.txt) -gt 19968 ]; then
    tar -czf $FILEBASE.tar.gz $FILEBASE.txt
    rm -f $FILEBASE.txt
    printf "\nResults archived in \"%s.tar.gz\", as they exceed the 19.5 kB size limit for .txt files on the Ubuntu Forums.\n\n" "$FILEBASE"
    else
    printf "\nResults saved in \"%s.txt\".\n\n" "$FILEBASE"
    fi
    Last edited by DiagonalArg; January 22nd, 2014 at 10:23 PM.

  4. #14
    Join Date
    Mar 2010
    Location
    India
    Beans
    8,175
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Wifi and blutooth problem after upgrading ubuntu 13.10 on my asus

    Ah, same mistake as the OP, and same suggestion from me -
    Quote Originally Posted by varunendra View Post
    Anyway, what you posted above is the script itself. Please post back the "wireless-info.tar.gz" as attachment. That is the report we need to see.
    Please run the script as mentioned in the post linked in my signature below, and post back the result file it generates, not the script itself.
    Varun
    Help others by marking threads as [SOLVED], if they are. (See how)
    Wireless Script | Use Code Tags
    Am I not replying you? Perhaps this is why.

  5. #15
    Join Date
    May 2010
    Beans
    146

    Re: Wifi and blutooth problem after upgrading ubuntu 13.10 on my asus

    @Varun - thanks, but I'm not having a problem. I was just posting an improved script.

  6. #16
    Join Date
    Mar 2010
    Location
    India
    Beans
    8,175
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Wifi and blutooth problem after upgrading ubuntu 13.10 on my asus

    Quote Originally Posted by DiagonalArg View Post
    @Varun - thanks, but I'm not having a problem. I was just posting an improved script.
    Ah, I see now what you've added -
    Code:
    # Helper: diagon, 2014.01.22
    # Still too much revealing infos.  sed'd out all but first 2 letters of ESSID
    # & all but first digit of the frequency.
    ..followed by actual code to do that in the last.

    As you can see in the script comments, I am not the developer nor helper with the script, so you should contact Wild Man to consider the changes in the original script.

    But I believe these changes that you introduced will reduce its usability for us while adding no (or almost no) additional security. Anyone willing and trying to 'break in' doesn't need any of the info displayed in the script report. They have better and quicker ways to find the relevant info they need (and anyone interested in these things knows that, even if their knowledge about these is at primitive level).

    If you are concerned about anonymity, then yes, it may be presented to the user as an 'Optional' filter, properly stating what it will hide and that it *may* reduce the report's usability and the helper's capability to help them with that info.

    In fact even hiding of just MAC addresses sometimes bothers me due to not being able to recognise the difference and their association with their respective SSIDs. I'm myself working on codes that would include much more info, including coded IDs to the MAC addresses so that they can be identified individually in dmesg.

    But the idea of adding another filter to increase anonymity, if that is your concern, may be a good idea, provided it does not reduce the script's usability, and if it does, the filter be kept optional (I can think of ways to do that, but may take time which I scarcely have these days). You may consider contacting Wild Man who maintains this script.
    Varun
    Help others by marking threads as [SOLVED], if they are. (See how)
    Wireless Script | Use Code Tags
    Am I not replying you? Perhaps this is why.

Page 2 of 2 FirstFirst 12

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •